Bugün bir site denemesi için WordPress kurmak istedim ve daha kurulumu gerçekleştirmeden aşağıdaki hata ile karşılaştım:

Warning: Cannot modify header information – headers already sent by (output started at /home/content/t/e/v/tevfikuyar/html/[klasöradı]/wp-config.php:1) in /home/content/t/e/v/tevfikuyar/html/[klasöradı]/wp-includes/pluggable.php on line 876

Bir süre için hatanın nereden kaynaklandığını bilemediğim için çözene dek denemediğim şey kalmadı. En sonunda problemin, daha WordPress yüklemeden önce wp-config.php dosyasında değişiklik yaparken kullandığımız metin editöründen kaynaklandığını öğrendim!

Eğer bu hata ile karşılaşıyorsanız, hiçbir şey denemeden önce Notepad++ yükleyip, değiştirdiğiniz dosyanın kodlamasını “UTF-8 BOMsuz” yapın.

Bu çözümü bulduğum ve bu işlemi detaylıca, güzelce anlatmış olan adresi aşağıda paylaşıyorum:

http://www.yakupgovler.com/wordpress-dosyalarini-duzgun-duzenlemek.html

İlgili Yazılar

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir